VRPlatformVRPlatform
Extract

/connections/extract

Trigger extract workflows for connections.

POST
/connections/extract
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

isInitial?boolean
connections*
Items1 <= items

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrplatform.app/connections/extract" \  -H "Content-Type: application/json" \  -d '{    "connections": [      {        "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d"      }    ]  }'
{
  "data": [
    {
      "runId": "78c33d18-170c-44d3-a227-b3194f134f73",
      "workflowId": "43c4fa9b-0cbc-4b57-a121-9d7d46a3eaa4",
      "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
      "syncId": "24d9ea7f-fdab-4f53-95fd-4deda2362964",
      "data": null,
      "error": {
        "message": "string",
        "error": "string"
      }
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}